List reviews
curl --request GET \
--url https://api.managem.co.uk/profile/{identifier}/reviewsimport requests
url = "https://api.managem.co.uk/profile/{identifier}/reviews"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.managem.co.uk/profile/{identifier}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"rating": 123,
"revisions": 123,
"source": {
"id": "<string>",
"type": "ORDER"
},
"reviewer": {
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
},
"content": "<string>",
"createdAt": "<string>"
}
]Profile
List reviews
Retrieve paginated reviews for a public user profile.
Use this endpoint to show profile reputation and feedback history.
Query behavior:
- Supports pagination and timestamp sorting.
GET
/
profile
/
{identifier}
/
reviews
List reviews
Path Parameters
User ID or username for the requested profile
Query Parameters
Page number, defaults to 1
Required range:
x >= 1Results per page, defaults to 20
Required range:
1 <= x <= 50Field to sort by
Available options:
createdAt Sort direction
Available options:
asc, desc Response
200 - application/json
User reviews
Unique identifier for the review
Rating given in the review
Number of times the review has been revised
Source associated with the review
Show child attributes
Show child attributes
User that wrote the review
Show child attributes
Show child attributes
Optional textual feedback
Timestamp when the review was created